#
# spec file for package perl-Compress-Raw-Bzip2
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# 
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#Distribution:   %dist
#Packager:       %packager
#Vendor:         %vendor

Name:           perl-Compress-Raw-Bzip2
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Perl interface to the zlib compression library
Version:        2.015
Release:        1.3
License:        Artistic License
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/Compress/
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Pod) >= 1.00
Requires:  perl = %{perl_version}

%description
 %{cpan_name} module for perl

 %{cpan_name} provides the interface to the bzip2 library for the modules
  IO::Compress::Bzip2 and IO::Compress::Bunzip2.

  Authors:
		Paul Marquess <pmqs@cpan.org>


%prep
%setup -q -n %{cpan_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%{__make}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Fri Jun 19 2009 chris@computersalat.de
- spec fix for perl-macros
* Thu Jun 18 2009 chris@computersalat.de
- initial package 2.015
